Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 06 Jun 2008 14:19:04 +1000

On Thu, 2008-06-05 at 10:13 -0500, Timur Tabi wrote:
> Josh Boyer wrote:
> 
> > From a device tree perspective, index and cell-index are both
> > incorrect.  The IIC macros don't share register blocks with anything,
> > are enumerated as unique instances per macro in the device tree, and
> > should be able to be distinguished by "regs" and/or unit address.
> 
> I think we should just expand the definition of cell-index to include standard
> device enumeration for when it's needed.  The original definition is too
> limited, IMHO.

No. I disagree. Expanding the definition is the wrong thing to do, and
as I pointed out in an earlier mail, will not work well with SMP or
multi-chip setups.

Ben.